# Generated from unicorn-4.8.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name unicorn

Name: rubygem-%{gem_name}
Version: 5.3.0
Release: 2%{?dist}.89
Summary: Rack HTTP server for fast clients and Unix
Group: Development/Languages
License: GPLv2+ and Ruby 1.8
URL: https://bogomips.org/unicorn/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby-devel < 3.0
BuildRequires: rubygem(rake)
BuildRequires: rubygem(rack)
BuildRequires: rubygem(test-unit) >= 3.0
BuildRequires: rubygem(test-unit) < 4
BuildRequires: rubygem(kgio) => 2.6
BuildRequires: rubygem(kgio) < 3
BuildRequires: rubygem(raindrops) => 0.7
BuildRequires: rubygem(raindrops) < 1
BuildRequires: socat
BuildRequires: curl

%description
unicorn is an HTTP server for Rack applications designed to only serve
fast clients on low-latency, high-bandwidth connections and take
advantage of features in Unix/Unix-like kernels.  Slow clients should
only be served by placing a reverse proxy capable of fully buffering
both the the request and response in between unicorn and slow clients.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}
sed -i '1s|^#!.*ruby$|#!/usr/bin/ruby|' bin/*

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/{gem.build_complete,*.so} %{buildroot}%{gem_extdir_mri}/

# Prevent dangling symlink in -debuginfo (rhbz#878863).
rm -rf %{buildroot}%{gem_instdir}/ext/

mkdir -p %{buildroot}%{_bindir}
cp -pa .%{_bindir}/* \
        %{buildroot}%{_bindir}/

mkdir -p %{buildroot}%{_mandir}/man1
mv %{buildroot}%{gem_instdir}/man/man1/* \
        %{buildroot}%{_mandir}/man1/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

rm -rf %{buildroot}%{gem_instdir}/{.CHANGELOG.old,.document,.gitignore,.gitattributes,.mailmap,.manifest,.wrongdoc.yml,.olddoc.yml,archive,local.mk.sample}

# Run the test suite
%check
pushd .%{gem_instdir}
# Prevent rebuilding parser with ragel
touch ext/unicorn_http/unicorn_http.c
touch ext/unicorn_http/unicorn_http.o
%{__make} test-all
popd

%files
%dir %{gem_instdir}
%{_bindir}/unicorn
%{_bindir}/unicorn_rails
%{_mandir}/man1/*
%{gem_extdir_mri}
%{gem_instdir}/Application_Timeouts
%license %{gem_instdir}/COPYING
%{gem_instdir}/DESIGN
%{gem_instdir}/Documentation
%{gem_instdir}/FAQ
%{gem_instdir}/GIT-VERSION-FILE
%{gem_instdir}/GIT-VERSION-GEN
%{gem_instdir}/GNUmakefile
%{gem_instdir}/HACKING
%{gem_instdir}/ISSUES
%{gem_instdir}/KNOWN_ISSUES
%{gem_instdir}/LATEST
%license %{gem_instdir}/LICENSE
%{gem_instdir}/Links
%{gem_instdir}/PHILOSOPHY
%{gem_instdir}/SIGNALS
%{gem_instdir}/Sandbox
%{gem_instdir}/TODO
%{gem_instdir}/TUNING
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/setup.rb
%{gem_instdir}/t
%exclude %{gem_instdir}/unicorn.gemspec
%{gem_instdir}/unicorn_1
%{gem_instdir}/unicorn_rails_1
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CONTRIBUTORS
%doc %{gem_instdir}/NEWS
%doc %{gem_instdir}/README
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/test

%changelog
* Mon Nov 27 2017 Oleg Girko <ol@infoserver.lv> - 5.3.0-2
- Prevent rebuilding parser with ragel for tests
* Tue Apr 25 2017 Oleg Girko <ol@infoserver.lv> - 5.3.0-1
- Update to 5.3.0
- Enable tests
- Remove support for old Fedora versions from spec file
* Mon Jun 27 2016 Oleg Girko <ol@infoserver.lv> - 4.8.3-3
- Fix Ruby interpreter pathname in scripts
* Sun Dec 28 2014 Oleg Girko <ol@infoserver.lv> - 4.8.3-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Ruby_2.1
* Sun May 18 2014 Oleg Girko <ol@infoserver.lv> - 4.8.3-1
- Initial package
